import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { DefaultDataProps } from '../../../position/display.interface';
import { ContractPositionTemplatePositionFetcher } from '../../../position/template/contract-position.template.position-fetcher';
import { GetDataPropsParams, GetDisplayPropsParams, GetTokenBalancesParams, UnderlyingTokenDefinition } from '../../../position/template/contract-position.template.types';
import { OriginStoryContractFactory, Series } from '../contracts';
export declare abstract class OriginStorySeriesContractPositionFetcher extends ContractPositionTemplatePositionFetcher<Series, DefaultDataProps> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: OriginStoryContractFactory;
    constructor(appToolkit: IAppToolkit, contractFactory: OriginStoryContractFactory);
    getContract(address: string): Series;
    getDefinitions(): Promise<{
        address: string;
    }[]>;
    getTokenDefinitions(): Promise<UnderlyingTokenDefinition[]>;
    getLabel(params: GetDisplayPropsParams<Series>): Promise<string>;
    getDataProps({ contract }: GetDataPropsParams<Series>): Promise<{
        liquidity: number;
    }>;
    getTokenBalancesPerPosition({ address, contract, }: GetTokenBalancesParams<Series, DefaultDataProps>): Promise<BigNumberish[]>;
}
